Bug 1980198 - Review Request: rust-uucore - Uutils ~ 'core' uutils code library (cross-platform)
Summary: Review Request: rust-uucore - Uutils ~ 'core' uutils code library (cross-plat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2053906 2107942 2107945
Blocks: 1980201
TreeView+ depends on / blocked
 
Reported: 2021-07-08 04:59 UTC by Davide Cavalca
Modified: 2022-08-23 01:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-13 17:45:11 UTC
Type: ---
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-07-08 04:59:31 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-uucore/rust-uucore.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-uucore/rust-uucore-0.0.8-1.fc35.src.rpm

Description:
Uutils ~ 'core' uutils code library (cross-platform).

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-07-08 04:59:33 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=71503312

Comment 2 Michel Alexandre Salim 2022-01-12 22:44:12 UTC
Please ping upstream about the following issues:
- 0.0.10 is out but the latest GitHub tag is 0.0.8
- license files not packaged

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- X latest version of the crate is packaged -- consider importing 0.0.10
- license matches upstream specification (MIT) and is acceptable for Fedora
- X license files are included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add package to rust-sig with "commit" access

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

Comment 3 Davide Cavalca 2022-01-17 05:41:32 UTC
Thanks!

$ fedpkg request-repo rust-uucore 1980198
https://pagure.io/releng/fedora-scm-requests/issue/41034

Comment 4 Davide Cavalca 2022-02-13 04:48:09 UTC
Looks like the latest version added a new dependency, so we'll need to get that in first.

Comment 5 Fabio Valentini 2022-03-19 12:24:42 UTC
This package has been reviewed and created over a month ago. Please don't forget to import and build it, too.
If the latest version can't be the first one we package, then just import the version that was reviewed, and block the update on the missing package.

Comment 6 Davide Cavalca 2022-07-15 22:35:45 UTC
Still waiting on https://bugzilla.redhat.com/show_bug.cgi?id=2053906 to be able to import this.

Comment 7 Davide Cavalca 2022-07-17 22:21:41 UTC
Latest version has two more missing deps: https://bugzilla.redhat.com/show_bug.cgi?id=2107942 https://bugzilla.redhat.com/show_bug.cgi?id=2107945

Comment 8 Fedora Update System 2022-08-13 17:43:43 UTC
FEDORA-2022-11234f8637 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-11234f8637

Comment 9 Fedora Update System 2022-08-13 17:44:04 UTC
FEDORA-2022-a98e5937b0 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a98e5937b0

Comment 10 Fedora Update System 2022-08-13 17:45:11 UTC
FEDORA-2022-11234f8637 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-08-13 17:45:16 UTC
FEDORA-2022-a98e5937b0 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-08-14 14:38:02 UTC
FEDORA-2022-07e4d06af8 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-07e4d06af8

Comment 13 Fedora Update System 2022-08-14 21:19:46 UTC
FEDORA-2022-7c01e2613a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7c01e2613a

Comment 14 Fedora Update System 2022-08-15 02:04:09 UTC
FEDORA-2022-07e4d06af8 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-07e4d06af8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-07e4d06af8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-08-15 02:17:50 UTC
FEDORA-2022-7c01e2613a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7c01e2613a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7c01e2613a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-08-23 01:41:50 UTC
FEDORA-2022-7c01e2613a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-08-23 01:55:27 UTC
FEDORA-2022-07e4d06af8 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.